Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(257)

Issue 1304183004: [simd.js] Add SIMD store functions for Phase 1. (Closed)

Created:
4 years, 1 month ago by gdeepti1
Modified:
4 years, 1 month ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[simd.js] Add SIMD store functions for Phase 1. Float32x4, Int32x4, Uint32x4: store, store1, store2, store3 Int16x8, Int8x16, Uint16x8, Uint8x16: store BUG=v8:4124 LOG=N R=bbudge@chromium.org, littledan@chromium.org, jarin@chromium.org Committed: https://crrev.com/ad3a8f0c5ebf5aab07b71f67e459fcd8ea5157f7 Cr-Commit-Position: refs/heads/master@{#30429}

Patch Set 1 #

Patch Set 2 : Disable polyfill #

Patch Set 3 : Re-enabling polyfill #

Total comments: 6

Patch Set 4 : Rebase, Benedikt's comments #

Total comments: 4

Patch Set 5 : Bill's comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+101 lines, -2 lines) Patch
M src/harmony-simd.js View 1 2 3 9 chunks +24 lines, -0 lines 0 comments Download
M src/runtime/runtime.h View 1 2 3 7 chunks +16 lines, -0 lines 0 comments Download
M src/runtime/runtime-simd.cc View 1 2 3 4 3 chunks +61 lines, -2 lines 0 comments Download

Messages

Total messages: 15 (4 generated)
Dan Ehrenberg
Modulo the apparent test failure, looks good to me.
4 years, 1 month ago (2015-08-26 01:18:43 UTC) #1
bbudge
Looks good, let's wait until you rebase after landing the load CL. The test failures ...
4 years, 1 month ago (2015-08-26 01:28:48 UTC) #2
bbudge
4 years, 1 month ago (2015-08-26 16:48:28 UTC) #4
gdeepti1
Disabled polyfill to verify that the store functions were implemented correctly. Re-enabling till load/store functions ...
4 years, 1 month ago (2015-08-26 20:14:55 UTC) #5
Benedikt Meurer
LGTM with comments. https://codereview.chromium.org/1304183004/diff/40001/src/parser.h File src/parser.h (right): https://codereview.chromium.org/1304183004/diff/40001/src/parser.h#newcode1347 src/parser.h:1347: Variable* var = scope->DeclareParameter(name, mode, is_optional, ...
4 years, 1 month ago (2015-08-27 04:34:52 UTC) #6
gdeepti
https://codereview.chromium.org/1304183004/diff/40001/src/parser.h File src/parser.h (right): https://codereview.chromium.org/1304183004/diff/40001/src/parser.h#newcode1347 src/parser.h:1347: Variable* var = scope->DeclareParameter(name, mode, is_optional, On 2015/08/27 04:34:51, ...
4 years, 1 month ago (2015-08-27 18:49:17 UTC) #8
bbudge
LGTM w/2 tiny nits https://codereview.chromium.org/1304183004/diff/60001/src/runtime/runtime-simd.cc File src/runtime/runtime-simd.cc (right): https://codereview.chromium.org/1304183004/diff/60001/src/runtime/runtime-simd.cc#newcode963 src/runtime/runtime-simd.cc:963: // Load and Store functions. ...
4 years, 1 month ago (2015-08-27 19:10:09 UTC) #9
gdeepti
https://codereview.chromium.org/1304183004/diff/60001/src/runtime/runtime-simd.cc File src/runtime/runtime-simd.cc (right): https://codereview.chromium.org/1304183004/diff/60001/src/runtime/runtime-simd.cc#newcode963 src/runtime/runtime-simd.cc:963: // Load and Store functions. On 2015/08/27 19:10:08, bbudge ...
4 years, 1 month ago (2015-08-27 20:07:10 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1304183004/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1304183004/80001
4 years, 1 month ago (2015-08-27 20:07:35 UTC) #13
commit-bot: I haz the power
Committed patchset #5 (id:80001)
4 years, 1 month ago (2015-08-27 20:33:35 UTC) #14
commit-bot: I haz the power
4 years, 1 month ago (2015-08-27 20:33:41 UTC) #15
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/ad3a8f0c5ebf5aab07b71f67e459fcd8ea5157f7
Cr-Commit-Position: refs/heads/master@{#30429}

Powered by Google App Engine
This is Rietveld 408576698